List signal peptides
curl --request GET \
--url https://api.example.com/v1/codon-exports/signal-peptides \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/codon-exports/signal-peptides"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/codon-exports/signal-peptides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"aa_sequence": "<string>",
"chain_role_compat": [
"<string>"
],
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>"
}
]{
"code": "insufficient_credits",
"credit_balance": 0,
"credit_cost": 1,
"detail": "Humanization costs 1 credit; balance is 0.",
"instance": "/v1/jobs",
"request_id": "req_01JBX6Y6ZK6N8Q7YJ0F5VX2C3D",
"status": 402,
"title": "Insufficient credits",
"type": "https://docs.kallima.bio/errors/insufficient_credits"
}{
"code": "insufficient_credits",
"credit_balance": 0,
"credit_cost": 1,
"detail": "Humanization costs 1 credit; balance is 0.",
"instance": "/v1/jobs",
"request_id": "req_01JBX6Y6ZK6N8Q7YJ0F5VX2C3D",
"status": 402,
"title": "Insufficient credits",
"type": "https://docs.kallima.bio/errors/insufficient_credits"
}{
"code": "insufficient_credits",
"credit_balance": 0,
"credit_cost": 1,
"detail": "Humanization costs 1 credit; balance is 0.",
"instance": "/v1/jobs",
"request_id": "req_01JBX6Y6ZK6N8Q7YJ0F5VX2C3D",
"status": 402,
"title": "Insufficient credits",
"type": "https://docs.kallima.bio/errors/insufficient_credits"
}codon-exports
List signal peptides
Return built-in and org-custom signal peptides visible to the caller.
Built-in peptides have org_id=null; org-custom peptides have
org_id equal to the caller’s organization.
Cost: read — rate bucket only.
GET
/
v1
/
codon-exports
/
signal-peptides
List signal peptides
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I